### Method

# Ide Snippet replace_current_chunk_text

#### Declaration

    void
    ide_snippet_replace_current_chunk_text (
      IdeSnippet* self,
      const gchar* new_text
    )

#### Description

This replaces the current chunk (if any) to contain the contents of `new_text`.

This function is primarily useful to the `IdeSourceView` as it updates content as the user types.

Available since: | 3.32

#### Parameters

`new_text` | `const gchar*`
| The text to use as the replacement.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.